#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.69])
AC_INIT([lll-emacs-config], [0.13], [lll@luislain.com])
AM_INIT_AUTOMAKE([-Wall -Werror])
AM_CONDITIONAL(XDG_CONFIG_AM, [ -z $XDG_CONFIG_HOME ])
dnl AC_CONFIG_SRCDIR([])
dnl AC_CONFIG_HEADERS([])

# Checks for programs.
dnl AC_PROG_AWK
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_MAKE_SET
dnl AC_PROG_MKDIR_P

# Checks for libraries.
# FIXME: Replace `main' with a function in `-la':
AC_CHECK_LIB([a], [main])

# Checks for header files.
dnl AC_CHECK_HEADERS([])

# Checks for typedefs, structures, and compiler characteristics.
AC_STRUCT_TIMEZONE

# Checks for library functions.
AC_CONFIG_FILES([Makefile])
dnl AC_CONFIG_FILES([Makefile
dnl                  docker/Makefile])
dnl AC_CONFIG_SUBDIRS([docker])
AC_OUTPUT
